1. Transactions
CharrgReceive
  • CharrgReceive API
    • Banks
      • /api/v1/banks
    • Providers
      • /api/v1/providers
      • /api/v1/providers/{provider_id}
    • Transactions
      • /api/v1/transactions
        POST
      • /api/v1/transactions
        GET
      • /api/v1/transactions/{id}
        GET
      • /api/v1/transactions/{id}/status
        GET
      • /api/v1/transactions/by-reference/{reference_number}
        GET
      • /api/v1/transactions/by-external-id/{transaction_id}
        GET
    • Schemas
      • Address
      • AddTenantRequest
      • Bank
      • Beneficiary
      • CashMutationRequest
      • CashMutationResponse
      • CashStage
      • ComplianceInfo
      • Countries
      • CreateBankRequest
      • CreateProviderRequest
      • CreateTransactionRequest
      • Financials
      • LoginRequest
      • MetadataInfo
      • PageOfBank
      • SenderInfo
      • ProviderCatalogEntry
      • TokenResponse
      • TransactionResponse
      • WebhookConfiguration
  1. Transactions

/api/v1/transactions

GET
/api/v1/transactions

Request

Authorization
API Key
Add parameter in header
X-Auth-Code
Example:
X-Auth-Code: ********************
or
Query Params

Responses

🟢200
application/json
OK
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/transactions?lastIndex=&pageSize=' \
--header 'X-Auth-Code: <api-key>'
Response Response Example
[
    {
        "id": "string",
        "transactionId": "string",
        "referenceNumber": "string",
        "providerId": "string",
        "status": "string",
        "statusVersion": 0,
        "isFinal": true,
        "destinationAmount": 0,
        "destinationCurrency": "string",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z",
        "paidAt": null,
        "lastProviderCheckAt": null,
        "attentionCode": null,
        "financials": {
            "destinationCurrency": "string",
            "destinationAmount": 0,
            "sourceCurrency": null,
            "sourceAmount": null,
            "exchangeRate": null,
            "feeAmount": null,
            "feeCurrency": null
        },
        "beneficiary": {
            "firstName": "string",
            "lastName": "string",
            "address": {
                "country_code": "string",
                "countryName": "string",
                "city_or_State": "string",
                "full_address": "string",
                "postal_code": null
            },
            "identification": "string",
            "account_or_Wallet_Id": "string"
        },
        "sender": {
            "name": null,
            "country": null,
            "reference": null
        },
        "compliance": {
            "source_of_funds": "string",
            "purpose": "string"
        },
        "metadata": {
            "invoice_id": null,
            "crm_reference": null,
            "channel": "string"
        }
    }
]
Modified at 2026-10-24 19:21:45
Previous
/api/v1/transactions
Next
/api/v1/transactions/{id}
Built with